org.keycloak.models.entities

## Class UserEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.UserEntity

- Direct Known Subclasses:
    MongoUserEntity

      public class UserEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAttributes()`
    `AuthenticationLinkEntity` | `getAuthenticationLink()`
    `List<CredentialEntity>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getFirstName()`
    `String` | `getLastName()`
    `String` | `getLoginName()`
    `int` | `getNotBefore()`
    `String` | `getRealmId()`
    `List<UserModel.RequiredAction>` | `getRequiredActions()`
    `List<String>` | `getRoleIds()`
    `List<SocialLinkEntity>` | `getSocialLinks()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setAuthenticationLink(AuthenticationLinkEntity authenticationLink)`
    `void` | `setCredentials(List<CredentialEntity> credentials)`
    `void` | `setEmail(String email)`
    `void` | `setEmailVerified(boolean emailVerified)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `void` | `setLoginName(String loginName)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRequiredActions(List<UserModel.RequiredAction> requiredActions)`
    `void` | `setRoleIds(List<String> roleIds)`
    `void` | `setSocialLinks(List<SocialLinkEntity> socialLinks)`
    `void` | `setTotp(boolean totp)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserEntity

          public UserEntity()

  - ### Method Detail

    - #### getLoginName

          public String getLoginName()

    - #### setLoginName

          public void setLoginName(String loginName)

    - #### getFirstName

          public String getFirstName()

    - #### setFirstName

          public void setFirstName(String firstName)

    - #### getLastName

          public String getLastName()

    - #### setLastName

          public void setLastName(String lastName)

    - #### getEmail

          public String getEmail()

    - #### setEmail

          public void setEmail(String email)

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### setEmailVerified

          public void setEmailVerified(boolean emailVerified)

    - #### isTotp

          public boolean isTotp()

    - #### setTotp

          public void setTotp(boolean totp)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getRoleIds

          public List<String> getRoleIds()

    - #### setRoleIds

          public void setRoleIds(List<String> roleIds)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getRequiredActions

          public List<UserModel.RequiredAction> getRequiredActions()

    - #### setRequiredActions

          public void setRequiredActions(List<UserModel.RequiredAction> requiredActions)

    - #### getCredentials

          public List<CredentialEntity> getCredentials()

    - #### setCredentials

          public void setCredentials(List<CredentialEntity> credentials)

    - #### getSocialLinks

          public List<SocialLinkEntity> getSocialLinks()

    - #### setSocialLinks

          public void setSocialLinks(List<SocialLinkEntity> socialLinks)

    - #### getAuthenticationLink

          public AuthenticationLinkEntity getAuthenticationLink()

    - #### setAuthenticationLink

          public void setAuthenticationLink(AuthenticationLinkEntity authenticationLink)

Copyright © 2014. All Rights Reserved.